Bug 1674496 - foreman-rake command throw lot of Warning messages while running any rake commands
Summary: foreman-rake command throw lot of Warning messages while running any rake com...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Infrastructure
Version: 6.5.0
Hardware: x86_64
OS: Linux
high
medium vote
Target Milestone: Released
Assignee: John Mitsch
QA Contact: Mike McCune
URL:
Whiteboard:
: 1689971 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-11 13:28 UTC by Ashish Humbe
Modified: 2019-10-07 17:19 UTC (History)
5 users (show)

Fixed In Version: foreman-1.20.1.12-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:16 UTC
Foreman Issue Tracker 26194 None None None 2019-02-28 15:03:45 UTC

Description Ashish Humbe 2019-02-11 13:28:43 UTC
Description of problem:

Here is the output while running foreman-rake console command: 

# foreman-rake console 
/usr/share/foreman/lib/foreman.rb:8: warning: already initialized constant Foreman::UUID_REGEXP
/usr/share/foreman/lib/foreman.rb:8: warning: previous definition of UUID_REGEXP was here
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.19/app/models/katello/concerns/content_facet_host_extensions.rb:7: warning: already initialized constant Katello::Concerns::ContentFacetHostExtensions::ERRATA_STATUS_MAP
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.19/app/models/katello/concerns/content_facet_host_extensions.rb:7: warning: previous definition of ERRATA_STATUS_MAP was here
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.19/app/models/katello/concerns/content_facet_host_extensions.rb:14: warning: already initialized constant Katello::Concerns::ContentFacetHostExtensions::TRACE_STATUS_MAP
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.19/app/models/katello/concerns/content_facet_host_extensions.rb:14: warning: previous definition of TRACE_STATUS_MAP was here
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.19/app/models/katello/concerns/subscription_facet_host_extensions.rb:13: warning: already initialized constant Katello::Concerns::SubscriptionFacetHostExtensions::SUBSCRIPTION_STATUS_MAP
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.19/app/models/katello/concerns/subscription_facet_host_extensions.rb:13: warning: previous definition of SUBSCRIPTION_STATUS_MAP was here
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.19/app/models/katello/concerns/subscription_facet_host_extensions.rb:21: warning: already initialized constant Katello::Concerns::SubscriptionFacetHostExtensions::SLA_STATUS_MAP
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.19/app/models/katello/concerns/subscription_facet_host_extensions.rb:21: warning: previous definition of SLA_STATUS_MAP was here
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.19/app/models/katello/concerns/subscription_facet_host_extensions.rb:26: warning: already initialized constant Katello::Concerns::SubscriptionFacetHostExtensions::USAGE_STATUS_MAP
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.19/app/models/katello/concerns/subscription_facet_host_extensions.rb:26: warning: previous definition of USAGE_STATUS_MAP was here
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.19/app/models/katello/concerns/subscription_facet_host_extensions.rb:31: warning: already initialized constant Katello::Concerns::SubscriptionFacetHostExtensions::ROLE_STATUS_MAP
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.19/app/models/katello/concerns/subscription_facet_host_extensions.rb:31: warning: previous definition of ROLE_STATUS_MAP was here
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.19/app/models/katello/concerns/subscription_facet_host_extensions.rb:36: warning: already initialized constant Katello::Concerns::SubscriptionFacetHostExtensions::ADDONS_STATUS_MAP
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.19/app/models/katello/concerns/subscription_facet_host_extensions.rb:36: warning: previous definition of ADDONS_STATUS_MAP was here
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.19/app/models/katello/concerns/subscription_facet_host_extensions.rb:41: warning: already initialized constant Katello::Concerns::SubscriptionFacetHostExtensions::PURPOSE_STATUS_MAP
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.10.0.19/app/models/katello/concerns/subscription_facet_host_extensions.rb:41: warning: previous definition of PURPOSE_STATUS_MAP was here
Loading production environment (Rails 5.2.1)
Failed to load console gems, starting anyway
irb(main):001:0> 

The same output is seen while running any command using foreman-rake. 

Version-Release number of selected component (if applicable):
Satellite 6.5 SNAP 15

How reproducible:
Always 

Steps to Reproduce:
1. Install Satellite 6.5 and run # foreman-rake console or # foreman-rake permissions:reset 
2.
3.

Actual results:
Throws lot of Warning messages on the console. 

Expected results:
There should not be any warning messages.

Additional info:

Comment 3 John Mitsch 2019-02-28 15:01:11 UTC
Created redmine issue https://projects.theforeman.org/issues/26193 from this bug

Comment 4 John Mitsch 2019-02-28 15:03:44 UTC
Created redmine issue https://projects.theforeman.org/issues/26194 from this bug

Comment 5 Bryan Kearney 2019-02-28 17:04:59 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 6 Bryan Kearney 2019-02-28 17:05:00 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 7 Bryan Kearney 2019-03-03 11:05:06 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26194 has been resolved.

Comment 9 Michal Dekan 2019-03-18 16:30:26 UTC
*** Bug 1689971 has been marked as a duplicate of this bug. ***

Comment 10 Mike McCune 2019-04-20 23:11:32 UTC
VERIFIED Snap 25, no warnings:

[root@sat-r220-02 katello-export]# foreman-rake console
Loading production environment (Rails 5.2.1)
irb(main):001:0> 


[root@sat-r220-02 katello-export]# foreman-rake permissions:reset password=changeme
Reset to user: admin, password: changeme
[root@sat-r220-02 katello-export]#

Comment 12 errata-xmlrpc 2019-05-14 12:40:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.